Linktrail for Tamil (ta)
Closed, ResolvedPublic

Description

Author: sundarbecse

Description:
Hi,
In Tamil wiki (http://ta.wikipedia.org) we find that affixes to wikilinked words are not
automatically linked, only the part within the square brackets is automatically linked. Outside of
them it remains normal text. For example if we write [[குலக்குழு]]க்கள், only குலக்குழு will be
underlined and turned into a hyperlink, not the remaining part of the word. Surprisingly, for
English words in Tamil wikipedia, it works very well i.e. [[Example]]s will link the whole word.
Perhaps the software is treating all non-English characters as separators. Please fix this.

Sundar


Version: unspecified
Severity: enhancement
URL: http://ta.wikipedia.org/wiki/%E0%AE%95%E0%AF%81%E0%AE%B2%E0%AE%AE%E0%AF%8D

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz2981.
bzimport created this task.Via LegacyJul 27 2005, 11:09 AM
bzimport added a comment.Via ConduitJul 27 2005, 11:11 AM

sundarbecse wrote:

Screenshot of semilinked words

I'm attaching a screenshot of underlinked tamil words.

Attached:

bzimport added a comment.Via ConduitJul 29 2005, 10:57 AM

avarab wrote:

Please provide a list of all characters in the tamil alphabet that you wish to
have linked in the following format:

abcdefg...

bzimport added a comment.Via ConduitAug 2 2005, 4:47 AM

sundarbecse wrote:

(In reply to comment #2)

Please provide a list of all characters in the tamil alphabet that you wish tohave linked in

the following format:abcdefg...

http://www.unicode.org/charts/PDF/U0B80.pdf says the Unicode range 0B80-0BFF is reserved for
Tamil. Can you include this entire range?

Sundar

bzimport added a comment.Via ConduitAug 2 2005, 10:15 AM

sundarbecse wrote:

I've used to generate all the alphabets. If you can't specify a range as per my previous comment,
you can use the following:
Vowels:
அ,ஆ,இ,ஈ,உ,ஊ,எ,ஏ,ஐ,ஒ,ஓ,ஔ,ஃ
Consonants:
க்,ங்,ச்,ஞ்,ட்,ண்,த்,ந்,ப்,ம்,ய்,ர்,ல்,வ்,ழ்,ள்,ற்,ன்,ஸ்,ஷ்,ஹ்
Compund forms:
க,கா,கி,கீ,கு,கூ,கெ,கே,கை,கொ,கோ,கௌ,

ங,ஙா,ஙி,ஙீ,ஙு,ஙூ,ஙெ,ஙே,ஙை,ஙொ,ஙோ,ஙௌ,

ச,சா,சி,சீ,சு,சூ,செ,சே,சை,சொ,சோ,சௌ,

ஞ,ஞா,ஞி,ஞீ,ஞு,ஞூ,ஞெ,ஞே,ஞை,ஞொ,ஞோ,ஞௌ,

ட,டா,டி,டீ,டு,டூ,டெ,டே,டை,டொ,டோ,டௌ,

ண,ணா,ணி,ணீ,ணு,ணூ,ணெ,ணே,ணை,ணொ,ணோ,ணௌ,

த,தா,தி,தீ,து,தூ,தெ,தே,தை,தொ,தோ,தௌ,

ந,நா,நி,நீ,நு,நூ,நெ,நே,நை,நொ,நோ,நௌ,

ப,பா,பி,பீ,பு,பூ,பெ,பே,பை,பொ,போ,பௌ,

ம,மா,மி,மீ,மு,மூ,மெ,மே,மை,மொ,மோ,மௌ,

ய,யா,யி,யீ,யு,யூ,யெ,யே,யை,யொ,யோ,யௌ,

ர,ரா,ரி,ரீ,ரு,ரூ,ரெ,ரே,ரை,ரொ,ரோ,ரௌ,

ல,லா,லி,லீ,லு,லூ,லெ,லே,லை,லொ,லோ,லௌ,

வ,வா,வி,வீ,வு,வூ,வெ,வே,வை,வொ,வோ,வௌ,

ழ,ழா,ழி,ழீ,ழு,ழூ,ழெ,ழே,ழை,ழொ,ழோ,ழௌ,

ள,ளா,ளி,ளீ,ளு,ளூ,ளெ,ளே,ளை,ளொ,ளோ,ளௌ,

ற,றா,றி,றீ,று,றூ,றெ,றே,றை,றொ,றோ,றௌ,

ன,னா,னி,னீ,னு,னூ,னெ,னே,னை,னொ,னோ,னௌ,

ஸ,ஸா,ஸி,ஸீ,ஸு,ஸூ,ஸெ,ஸே,ஸை,ஸொ,ஸோ,ஸௌ,

ஷ,ஷா,ஷி,ஷீ,ஷு,ஷூ,ஷெ,ஷே,ஷை,ஷொ,ஷோ,ஷௌ,

ஹ,ஹா,ஹி,ஹீ,ஹு,ஹூ,ஹெ,ஹே,ஹை,ஹொ,ஹோ,ஹௌ,

bzimport added a comment.Via ConduitAug 2 2005, 10:27 AM

sundarbecse wrote:

Can you add the following too? Ravi, can you add any other alphabet that you've in mind?

க்ஷ்

க்ஷ,க்ஷா,க்ஷி,க்ஷீ,க்ஷு,க்ஷூ,க்ஷெ,க்ஷே,க்ஷை,க்ஷொ,க்ஷோ,க்ஷௌ,

Sundar

bzimport added a comment.Via ConduitAug 2 2005, 10:31 AM

ravidreams_03 wrote:

Please add the following chracters also which sundar missed to mention

ஜ்

ஜ, ஜா, ஜி, ஜீ, ஜு, ஜூ, ஜெ, ஜே, ஜை, ஜொ, ஜோ, ஜௌ

ஸ்ரீ

Ravi

bzimport added a comment.Via ConduitAug 2 2005, 10:38 AM

sundarbecse wrote:

Thanks Ravi.

bzimport added a comment.Via ConduitAug 3 2005, 12:17 PM

sundarbecse wrote:

Avar, I'm taking the liberty to add you to the CC-list as you'd asked for the characters. We've now provided them, please take note.

Sundar

Nikerabbit added a comment.Via ConduitOct 19 2005, 9:47 PM

Fixed in HEAD

bzimport added a comment.Via ConduitOct 20 2005, 7:07 AM

sundarbecse wrote:

Thanks Niklas. Will ping here when the change is reflected in the interface. :-)

bzimport added a comment.Via ConduitOct 25 2005, 9:49 AM

sundarbecse wrote:

(In reply to comment #9)

Fixed in HEAD

Thanks Niklas. The fix is working fine.

Sundar

bzimport added a comment.Via ConduitMay 4 2006, 8:58 AM

sundarbecse wrote:

Hi,
The same problem has come back again. Was there a Mediawiki update? Can someone
fix it as this is giving a bad experience for the readers?

Sundar

Nikerabbit added a comment.Via ConduitMay 4 2006, 1:24 PM

It should now be really fixed. Wait for the sync.

bzimport added a comment.Via ConduitMay 5 2006, 7:13 AM

sundarbecse wrote:

Will wait and let you know when it happens.

bzimport added a comment.Via ConduitMay 16 2006, 10:14 AM

sundarbecse wrote:

Fixed. Thanks.

Add Comment